> For the complete documentation index, see [llms.txt](https://docs.developers.symphony.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.developers.symphony.com/embedded-modules/embedded-mode/support-for-extension-applications.md).

# Support for extension applications

Extension applications on Symphony Messaging provide an easy and secure way to customize the Symphony experience.

Extension applications allow you to extend various parts of the Symphony Messaging UI by adding buttons to direct chats, group chats and chat rooms. They also allow you to display rich interactive content in a message through [structured objects](/bots/messages/overview-of-messageml/entities/structured-objects.md).\
\
By default, Embedded Mode will not load any extension applications. Embedded Mode can, however, be configured to load extension apps by using the **allowedApps** [parameter](/embedded-modules/embedded-mode/configuration-parameters.md), passing a comma separated list of app IDs. The [App ID](/ext-apps/getting-started/bundle.md) is the identifier you provide for your app when configuring the app on your pod.\
\
**Note**: Only apps that are configured on the pod and installed can be loaded by Embedded Mode.

In Focus mode, apps can perform custom entity rendering, add buttons to the chat header or tags, and so on. In Collaboration mode, apps can also be opened from the app tray to display a custom UI.

To know more about Symphony Messaging extension apps and how to build extension apps, see [Building extension apps on Symphony Messaging](/ext-apps/building-extension-apps.md).

Once an app is loaded, you can also dynamically open an app view in Embedded Mode using the `openApp` method, see [here](/embedded-modules/embedded-mode/open-an-app.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.developers.symphony.com/embedded-modules/embedded-mode/support-for-extension-applications.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
